summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2023-10-23 13:46:52 -0400
committerTavian Barnes <tavianator@tavianator.com>2023-10-23 13:46:52 -0400
commite1390e21d6fcfa97838bdaff968d9cfb26261065 (patch)
tree3bcfbefe171cdc0af808054cf5fd0e35d81a76ca /tests
parent8c06e033483215e5148bc803b61207b99d458a48 (diff)
downloadbfs-e1390e21d6fcfa97838bdaff968d9cfb26261065.tar.xz
tests/bfs/help: Fix exit status
Diffstat (limited to 'tests')
-rw-r--r--tests/bfs/help.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/bfs/help.sh b/tests/bfs/help.sh
index ec53867..5029c7e 100644
--- a/tests/bfs/help.sh
+++ b/tests/bfs/help.sh
@@ -1,4 +1,4 @@
-invoke_bfs -help | grep -E '\{...?\}' && fail
-invoke_bfs -D help | grep -E '\{...?\}' && fail
-invoke_bfs -S help | grep -E '\{...?\}' && fail
-invoke_bfs -regextype help | grep -E '\{...?\}' && fail
+! invoke_bfs -help | grep -E '\{...?\}' || fail
+! invoke_bfs -D help | grep -E '\{...?\}' || fail
+! invoke_bfs -S help | grep -E '\{...?\}' || fail
+! invoke_bfs -regextype help | grep -E '\{...?\}' || fail